# Shipment Management
## Functional Description
This module handles shipments that are processed by the lost&found team.

**Feature List**
- Shipment can contain *n* (often one, but a lostee can also be sent multiple items) items
- Shipment is linked to *n* tickets (for informative purposes)
- Shipment holds the address of the parcel
- Shipment holds the dhl voucher used
- On creation of a shipment, the agent can activate the features "adress retrieval", "item validation" and/or tracking
  - **address retrieval**: the lostee recieves a email with publicly accessible link, on this page the user can enter his address.
    - address sanitation
    - address validation
    - automatic state change after successful address entry (-> waiting for shipping)
  - **item validation**: the lostee recieves a email with publicly accessible link, on this page the user see the images and confirm the items
    - automatic state change after confirmation
  -   **tracking**: the lostee recieves a email with publicly accessible link, on this page the user can enter his address
- Returning parcels could be managed to (e.g. if a shipment is marked as returned, the items will be *unfound* again)